Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Job Scheduler - Cancel Item Job Instance
- Service:
- Core
- API Version:
- v1
Cancel an item's job instance.
Required Delegated Scopes
For item APIs use these scope types:
- Generic scope: Item.Execute.All
- Specific scope: itemType.Execute.All (for example: Notebook.Execute.All)
for more information about scopes, see scopes article.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}/jobs/instances/{jobInstanceId}/cancel
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
itemId
|
path | True |
string (uuid) |
The item ID. |
|
jobInstanceId
|
path | True |
string (uuid) |
The job instance ID. |
|
workspaceId
|
path | True |
string (uuid) |
The workspace ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Request accepted, canceling a job is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Cancel item job instance example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/items/cfafbeb1-8037-4d0c-896e-a46fb27ff229/jobs/instances/5b218778-e7a5-4d73-8187-f10824047715/cancel
Sample response
- Status code:
- 202
Location: https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/items/cfafbeb1-8037-4d0c-896e-a46fb27ff229/jobs/instances/5b218778-e7a5-4d73-8187-f10824047715
Retry-After: 60
Definitions
| Name | Description |
|---|---|
| ErrorRelatedResource |
The error related resource details object. |
| ErrorResponse |
The error response. |
| ErrorResponseDetails |
The error response details. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
